Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • GrantPermission
        • RevokePermission
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Permission
  • ConnectionManager
  1. API reference
  2. REST
  3. User
  4. Get

Managed Service for MongoDB API, REST: User.Get

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Permission
  • ConnectionManager

Returns the specified StoreDoc User resource.
To get the list of available StoreDoc User resources, make a List request.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/users/{userName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the StoreDoc cluster the user belongs to.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

userName

string

Required field. Name of the StoreDoc User resource to return.
To get the name of the user, use a UserService.List request.

The maximum string length in characters is 63. Value must match the regular expression ^[a-zA-Z0-9_][a-zA-Z0-9_@.-]*$.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "permissions": [
    {
      "databaseName": "string",
      "roles": [
        "string"
      ]
    }
  ],
  "connectionManager": {
    "connectionId": "string"
  },
  "authType": "string",
  "deletionProtection": "boolean"
}

A StoreDoc User resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the StoreDoc user.

clusterId

string

ID of the StoreDoc cluster the user belongs to.

permissions[]

Permission

Set of permissions granted to the user.

connectionManager

ConnectionManager

Connection Manager connection configuration.

authType

enum (AuthType)

Authentication type for the user.

  • AUTH_TYPE_PASSWORD: Password-based authentication (SCRAM).
  • AUTH_TYPE_IAM: IAM-based authentication via iam-auth-proxy (SASL/PLAIN, $external).

deletionProtection

boolean

Deletion Protection inhibits deletion of the user.

PermissionPermission

Field

Description

databaseName

string

Name of the database that the permission grants access to.

roles[]

string

StoreDoc roles for the databaseName database that the permission grants.

ConnectionManagerConnectionManager

Connection Manager connection configuration.

Field

Description

connectionId

string

ID of Connection Manager connection.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.